www.cendio.com
Bug 5834 - tlclient fails to start when any line in configuration file exceeds 1020 characters
: tlclient fails to start when any line in configuration file exceeds 1020 char...
Status: CLOSED FIXED
: ThinLinc
Client
: 4.5.0
: PC Unknown
: P2 Normal
: 4.9.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2016-04-04 14:25 by
Modified: 2017-08-21 16:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2016-04-04 14:25:57
We got a report from a customer that a server name configuration with a lot of
trailing periods make tlclient unable to start. I've been able to reproduce and
found that tlclient seems to spend a lot of time in ConfigMap::LoadFile when it
encounters a long line.
------- Comment #6 From cendio 2017-08-15 13:20:32 -------
Tested on Linux, Windows and OS X with configuration files with lines exceeding
1020 characters.
------- Comment #8 From cendio 2017-08-21 13:17:29 -------
Inspected and ran the unit tests, looks all good to me.
------- Comment #9 From cendio 2017-08-21 16:25:58 -------
Verified on Windows 10, Fedora 26 and Mac OSX. Works as expected.